Subject: [mpls] Approch for MPLS Multicasting

From: Vidyanand <[email-masked]>
Date: Thu, 13 Aug 2009 10:07:21 +0530

This is vidyanand, 

We have implemented MPLS Architecture (RFC 3031), and LDP Specifications
(RFC 5036).. Now we are going to implement IP MULTICASTING OVER MPLS
DOMAIN.

 From  RFC 3353(IP MULTICASTING OVER MPLS DOMAIN) I came across, that we
need to insert labels in PIM messeges. But it is not that much clear.

Here MY DOUBT IS HOW CAN WE ESTABLISH LSP for MPLS Multicasting ..?

                1. Should we insert labels in PIM messeges ....?
             
                         OR

                2. Do we have any seperate mechanism for establishing
LSP.....?

And

Pl  Suggest me some proper DOCUMENTATION for Mpls
Multicasting............